function [ V, k ] = curvest( c, u, v )
%CURVEST Summary of this function goes here
%   Detailed explanation goes here

% Compute curvature and curvature directions at the 
% given parameters (x, y)

x = [ u; ...
      v; ...
      c(1)*u^2 + c(2)*u*v + c(3)*v^2 + c(4)*u + c(5)*v + c(6) ];

xu = [ 1; ...
       0; ...
       2*c(1)*u + c(2)*v + c(4) ];

xv = [ 0; ...
       1; ...
       2*c(3)*v + c(2)*u + c(5) ];
   
xuu = [ 0; ...
        0; ...
        2*c(1) ];
    
xuv = [ 0; ...
        0; ...
        c(2) ];
    
xvv = [ 0; ...
        0; ...
        2*c(3) ];
    
n = cross(xu, xv);
n = n/norm(n);

E = dot(xu, xu);
F = dot(xu, xv);
G = dot(xv, xv);

L = dot(xuu, n);
M = dot(xuv, n);
N = dot(xvv, n);

I = [ E F; F G];
II = [ L M; M N];

[V, D] = eig(II, I);
k = diag(D);

v1 = V(:,1);
v2 = V(:,2);

V = [v1(1)*xu + v1(2)*xv, v2(1)*xu + v2(2)*xv];

end

