function c = jetfit( P, o, e1, e2, e3 )
%JETFIT Summary of this function goes here
%   Detailed explanation goes here

n = size(P, 1);
E = [e1, e2, e3];

% transform P into this coordinate system
Q = P - repmat(o', n, 1);

% multiplicaton with E gives scalar products with new basis vectors
Q = Q*E;

% fill the matrix with rows [ x^2 xy y^2 x y 1]
X = zeros(n, 6);

for i = 1:n
    x = Q(i, 1);
    y = Q(i, 2);
    X(i, :) = [x*x x*y y*y x y 1];
end

% using the backslash operator will perform QR to solve a
% least squares problem
z = Q(:, 3);
c = X\z;

end

