function [B, V] = pca( P )
%PCA Summary of this function goes here
%   Detailed explanation goes here

n = size(P, 1);

% points are supposed to be stored in rows of P
% start with centering, i.e., subtract barycenter

B = sum(P) / n;
Q = P - repmat(B, n, 1);

% compute covariance matrix
C = Q'*Q;

% compute eigenvalues/eigenvectors
[V, D] = eig(C);

% eigenvalues should be in ascending order
d = diag(D);
[~, I] = sort(d);

V = V(:, I);
B = B';
end

