clear
close all

% load a point set
P = load('P.txt', '-ascii');

% display point set
scatter3(P(:,1), P(:,2), P(:,3), 'MarkerEdgeColor', 'k', ...
                                 'MarkerFaceColor', [0 .75 .75]);

hold on
axis equal
axis vis3d

xlabel('X');
ylabel('Y');

% switch to rotate mode
rotate3d

% perform PCA
[B, V] = pca(P);

% show result
scatter3(B(1), B(2), B(3), 'MarkerEdgeColor', 'k', ...
                           'MarkerFaceColor', 'r');
                       
X = repmat(B', 3, 1);
quiver3(X(:,1), X(:,2), X(:,3), V(1,:)', V(2,:)', V(3,:)', 'b', 'LineWidth', 2);